org.jgroups.blocks

## Interface ReplCache.HashFunction<K>

All Known Implementing Classes:
  ReplCache.ConsistentHashFunction

Enclosing class:
  ReplCache<K,V>

    public static interface ReplCache.HashFunction<K>

### Method Summary

Methods
`java.util.List<Address>` `hash(K key, short replication_count)` Function that, given a key and a replication count, returns replication_count number of different addresses of nodes.
`void` `installNodes(java.util.List<Address> nodes)` When the topology changes, this method will be called.

### Method Detail

#### hash

    java.util.List<Address> hash(K key,
                               short replication_count)

Function that, given a key and a replication count, returns replication_count number of different addresses of nodes.

Parameters:
  `key` -
  `replication_count` -
Returns:

#### installNodes

    void installNodes(java.util.List<Address> nodes)

When the topology changes, this method will be called. Implementations will typically cache the node list

Parameters:
  `nodes` -